Start
import requests
url = "https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/start"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/start \
--header 'Authorization: Bearer <token>'{
"marked_to_start_at": "2023-11-07T05:31:56Z",
"created_operations": 0,
"scope": "all"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Scaleway Clusters
Start
Bearer PAT authentication; RBAC permission clusters.operate.
POST
/
api
/
v1
/
clusters
/
scaleway
/
{cluster_id}
/
start
Start
import requests
url = "https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/start"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/clusters/scaleway/{cluster_id}/start \
--header 'Authorization: Bearer <token>'{
"marked_to_start_at": "2023-11-07T05:31:56Z",
"created_operations": 0,
"scope": "all"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
PAT organisation override.